#include <9pm/u.h>
#include <9pm/libc.h>
#include <9pm/String.h>

void
s_putc(String *s, int c)
{
	if(s->ref > 1)
		sysfatal("can't s_putc a shared string");
	if (s->ptr >= s->end)
		s_grow(s, 2);
	*(s->ptr)++ = c;
}
